package com.zayac.admin.service;

import com.zayac.admin.constant.ApiPathConstants;
import com.zayac.admin.req.AgentDataVisualListReq;
import com.zayac.admin.resp.AgentDataVisualList;
import com.zayac.admin.resp.Banner;
import com.zayac.admin.system.model.resp.AccountResp;
import lombok.RequiredArgsConstructor;
import org.springframework.core.ParameterizedTypeReference;
import org.springframework.stereotype.Service;

import java.util.concurrent.CompletableFuture;

@Service
@RequiredArgsConstructor
public class AgentDataVisualListService {
    private final CompletableFutureWebClientService completableFutureWebClientService;

    public CompletableFuture<AgentDataVisualList> getAgentDataVisualList(AccountResp account, AgentDataVisualListReq agentDataVisualListReq) {
        return completableFutureWebClientService
                .fetchDataForAccount(account, ApiPathConstants.VISUAL_LIST_URL, agentDataVisualListReq, new ParameterizedTypeReference<>() {});
    }
}
